Skip to navigation

Create Restore Template

Creates a restore template.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the restore template is in. You can get your project ID from the API Credentials page in your global management console.

Request

This endpoint expects an object.
namestringRequired
Restore template display name.
resourceTypeenumRequired

Resource type the restore template applies to. RESTORE_TEMPLATE_RESOURCE_TYPE_UNSPECIFIED is supported only in responses.

Allowed values:
descriptionstringOptional
Description of the purpose of the restore template.
ec2ParamsobjectOptional
s3ParamsobjectOptional

Response

Restore template created.
restoreTemplateobject
Created restore template.